[![Build Status](https://travis-ci.com/dm4t2/vue-currency-input.svg?branch=master)](https://travis-ci.com/dm4t2/vue-currency-input)
[![codecov](https://codecov.io/gh/dm4t2/vue-currency-input/branch/master/graph/badge.svg)](https://codecov.io/gh/dm4t2/vue-currency-input)
[![Codacy Badge](https://api.codacy.com/project/badge/Grade/f094b44873724daf98afa67f8f68c456)](https://www.codacy.com/manual/dm4t2/vue-currency-input)
[![npm version](https://badgen.net/npm/v/vue-currency-input?color=green)](https://www.npmjs.com/package/vue-currency-input)
[![Bundlephobia](https://badgen.net/bundlephobia/minzip/vue-currency-input?color=green)](https://bundlephobia.com/result?p=vue-currency-input)
[![License](https://badgen.net/github/license/dm4t2/vue-currency-input?color=green)](https://github.com/dm4t2/vue-currency-input/blob/master/LICENSE)

# Vue Currency Input
Vue Currency Input allows an easy input of currency formatted numbers. Powered by the [Vue Composition API](https://v3.vuejs.org/guide/composition-api-introduction.html), it provides a Vue composable for decorating input components with currency format capabilities.

[![](docs/vue-currency-input.gif)](https://vue-currency-input-next.netlify.app/)

## Features
* Supports both Vue 2 and Vue 3
* [Tiny bundle size](https://bundlephobia.com/result?p=vue-currency-input)
* Format as you type
* Standard-compliant currency formatting based on [ECMAScript Internationalization API (ECMA-402)](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/NumberFormat)
* Distraction free (hides the formatting on focus for easier input)
* Allows float values to be exported as integer numbers
* Auto decimal digits (automatically inserts the decimal symbol, using the last inputted digits as decimal digits)
* Built-in value range validation
* Works with input components of popular frameworks like [Vuetify](https://vuetifyjs.com/en/components/text-fields/), [Quasar](https://quasar.dev/vue-components/input) or [Element](https://element.eleme.io/#/en-US/component/input)

## Live Demo
Check out the [playground](https://vue-currency-input-next.netlify.app/playground/) to see it in action.

## Documentation
Please refer to the [project home page](https://vue-currency-input-next.netlify.app/) for a detailed documentation.

## Support me
If you find my work helpful, or you want to support the development, star the repo or buy me a coffee:

[![ko-fi](https://www.ko-fi.com/img/githubbutton_sm.svg)](https://ko-fi.com/D1D6SXEA)
